Bug 134500 - installer fails for host using NIS
installer fails for host using NIS
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
Blocks: 145467
  Show dependency treegraph
Reported: 2004-10-03 23:47 EDT by Richard Keech
Modified: 2013-07-03 09:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-24 13:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2004-10-03 23:47:34 EDT
Description of problem:

Installation of Satellite 3.4 failed for a system which had
NIS enabled.  Disabling NIS allowed proper installation to 

Installer failure indications did not suggest the 
underlying cause.

Version-Release number of selected component (if applicable):

Satellite 3.4.0-38.

The installer failed at the point where the database instance
was first created.  Failure dialog gave text 
"sat-install db connect errors: (rhnsat/rhnsat@(DESCRIPTION =
(ADDRESS = (PROTOCOL = TCP)(HOST = = 1521)) )
(CONNECT_DATA = (SID = rhnsat) ) )): 12541: ORA-12541: TNS:no listener"

The underlying cause ended up being that user/group oracle was/were 
already defined in NIS.  

Installation succeeded after NIS was shutdown (service ypbind stop).

I suggest that the installer better test for the possibility
of username collision and abort with an obvious error message.

I suggest that the installer documentation indicate the possibility
of name collision.
Comment 1 Clifford Perry 2004-10-04 10:02:11 EDT
I encountered this same issue, and had in my inbox to create a
bugzilla on this to have documented that NIS + Satellite does not
always mix well. 

I would suggest to change the satellite install script logging to show
exit status and/or command output - reviewing the log file you do not
know/see that the usermod command failed. 

It took me some tracking down before I relealised that the cause of my
installer failure was due to not being able to correctly add/modify
the oracle user group permissions. 


 + mkdir -p /rhnsat 
 + chown oracle:dba /rhnsat 
 + usermod -G oracle,dba,apache oracle 
 + su - oracle -c '~/admin/9.2.0/create-db.sh --db rhnsat --user
rhnsat -- 
password rhnsat --datadir /rhnsat/data/rhnsat --admindir
Comment 4 Robin Norwood 2006-10-17 12:03:05 EDT
mass reassign to mmccune

Note You need to log in before you can comment on or make changes to this bug.